> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/de/installation-setup/installation/linux-ubuntu-centos/linux-ssl.md).

# Linux SSL

Wenn Sie ngSurvey auf einem Linux-System mit einer unter SSL laufenden Domain bereitstellen und verwenden möchten, können Sie das folgende Skript verwenden, das ngSurvey über einen mit SSL aktivierten ngInx Reverse Proxy bereitstellt:

<mark style="color:rot;">**Um Ihren Zugriffstoken zu erhalten, wenden Sie sich an das Vertriebsteam von ngSurvey.**</mark>

## Ubuntu

Sie können das folgende Shell-Skript in Ihrer Ubuntu-Shell verwenden.

```
curl -o ngs-ubuntu-ssl-docker.sh https://ngsurvey.s3.eu-central-1.amazonaws.com/ngs-ubuntu-ssl-docker.auth.sh 
sudo chmod +x ./ngs-ubuntu-ssl-docker.auth.sh 
sudo ./ngs-ubuntu-ssl-docker.auth.sh YOURDOMAIN.COM ngsurvey YOUR_ACCESSTOKEN
```

Dadurch wird ein Zertifikat für Ihre Domain generiert und ngSurvey automatisch über einen gesicherten HTTPS-Kanal konfiguriert.&#x20;

{% hint style="danger" %}
Stellen Sie sicher, dass Ihre Domain in Ihrem DNS korrekt mit Ihrer Host-IP registriert ist.   &#x20;
{% endhint %}

## Benutzerdefinierte Datenbank

Standardmäßig verwendet das obige Skript eine MySQL-Datenbank. Wenn Sie Ihre eigene Datenbank verwenden möchten, können Sie die heruntergeladene Datei /srv/docker/ngsurveyee.ssl.mysql.yml aus dem obigen Skript anpassen, Ihre eigene connection string für Ihre Datenbank verwenden und anschließend Ihr ngsurvey-Setup mit dem folgenden Befehl neu starten.&#x20;

```
sudo docker-compose -f /srv/docker/ngsurveyee.ssl.mysql.yml up -d
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/de/installation-setup/installation/linux-ubuntu-centos/linux-ssl.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
